- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Retrieves an aggregated list of all of the HaControllers in the specified project across all regions.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/aggregated/haControllers The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
returnPartialSuccess |
Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code. |
includeAllScopes |
Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included. |
serviceProjectNumber |
The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "items": { string: { "haControllers": [ { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "region": string, "zoneConfigurations": { string: { "reservationAffinity": { "consumeReservationType": enum, "key": string, "values": [ string ] }, "nodeAffinities": [ { "key": string, "operator": enum, "values": [ string ] } ] }, ... }, "instanceName": string, "status": { "primaryZone": string, "primaryInstance": string, "ongoingFailover": boolean, "readyForFailover": boolean, "failoverProgress": { "failoverTrigger": enum, "failoverTriggerTimestamp": string, "failoverCompleteTimestamp": string, "lastFailoverAttempt": { "errors": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } // End of mutually exclusive fields. } ] } ] }, "timestamp": string }, "failoverDuration": string }, "lastFailoverInfo": { "failoverTrigger": enum, "failoverTriggerTimestamp": string, "failoverCompleteTimestamp": string, "lastFailoverAttempt": { "errors": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } // End of mutually exclusive fields. } ] } ] }, "timestamp": string }, "failoverDuration": string }, "zoneStatus": { string: { "isPrimary": boolean, "isZoneReady": boolean, "lastError": { "errors": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } } ] } ] }, "timestamp": string } }, ... } }, "failoverInitiation": enum, "networkingAutoConfiguration": { "internal": { "stackType": enum, "ipAddress": string, "ipv6Address": string } }, "backendServices": [ string ], "state": enum } ], "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] } }, ... }, "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] }, "etag": string, "unreachables": [ string ] } |
| Fields | |
|---|---|
kind |
Output only. Type of resource. Always |
id |
Output only. Unique identifier for the resource; defined by the server. |
items |
A list of HaControllersScopedList resources. Key: Name of the scope containing this set of ha controllers. Available from 2026-10-01-preview.. |
items.haControllers[] |
haControllers.list of HaControllers contained in this scope. |
items.haControllers[].kind |
Output only. Type of the resource. Always |
items.haControllers[].id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
items.haControllers[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items.haControllers[].name |
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
items.haControllers[].description |
An optional description of this resource. Provide this property when you create the resource. |
items.haControllers[].selfLink |
Output only. Server-defined URL for the resource. |
items.haControllers[].selfLinkWithId |
Output only. Server-defined URL for this resource with the resource id. |
items.haControllers[].region |
Output only. URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
items.haControllers[].zoneConfigurations[] |
Map of zone configurations Key: name of the zone Value: ZoneConfiguration |
items.haControllers[].zoneConfigurations[].reservationAffinity |
Specifies the reservations that the instance can consume from. |
items.haControllers[].zoneConfigurations[].reservationAffinity.consumeReservationType |
Specifies the type of reservation from which this instance can consume resources: |
items.haControllers[].zoneConfigurations[].reservationAffinity.key |
Corresponds to the label key of a reservation resource. To target a |
items.haControllers[].zoneConfigurations[].reservationAffinity.values[] |
Corresponds to the label values of a reservation resource. This can be either a name to a reservation in the same project or "projects/different-project/reservations/some-reservation-name" to target a shared reservation in the same zone but in a different project. |
items.haControllers[].zoneConfigurations[].nodeAffinities[] |
A set of node affinity configurations. Refer to Configuring node affinity for more information. Overrides reservationAffinity. |
items.haControllers[].zoneConfigurations[].nodeAffinities[].key |
Corresponds to the label key of Node resource. |
items.haControllers[].zoneConfigurations[].nodeAffinities[].operator |
Defines the operation of node selection. Valid operators are |
items.haControllers[].zoneConfigurations[].nodeAffinities[].values[] |
Corresponds to the label values of Node resource. |
items.haControllers[].instanceName |
Name of the instance that HaController is in charge of. If not specified the HaController's resource name will be used instead. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
items.haControllers[].status |
Output only. Status information for the HaController resource. |
items.haControllers[].status.primaryZone |
Output only. The name of the zone that is intended to be primary at this moment. Primary zone will be changed at the very beginning of a failover operation. The zone may not be operational in the middle of a failover operation. |
items.haControllers[].status.primaryInstance |
Output only. The URL to the instance that is intended to be primary at this moment. Primary instance will be changed at the very beginning of a failover operation. |
items.haControllers[].status.ongoingFailover |
Output only. Indicates if the failover is currently in-progress. |
items.haControllers[].status.readyForFailover |
Output only. Indicates if the resource is ready for initiating a failover to the secondary zone. |
items.haControllers[].status.failoverProgress |
Output only. Contains the details of the ongoing failover. This message is not displayed if failover is NOT in progress. |
items.haControllers[].status.failoverProgress.failoverTrigger |
Output only. Indicates if failover has been triggered automatically or manually. |
items.haControllers[].status.failoverProgress.failoverTriggerTimestamp |
Output only. Timestamp of the last failover trigger. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.failoverProgress.failoverCompleteTimestamp |
Output only. Timestamp of the failover completion. Filled only if the failover is completed, in lastFailoverInfo. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.failoverProgress.lastFailoverAttempt |
Output only. Contains details of the last failed failover. This field is filled only if the current failover is failing |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors |
Output only. Encountered errors during the last attempt to process failover. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[] |
Output only. The array of errors encountered while processing this operation. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].code |
Output only. The error type identifier for this error. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].message |
Output only. An optional, human-readable error message. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo |
Error information containing structured domain, reason, and metadata. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo |
Details about quota limits and metrics when a quota is exceeded. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].help |
Links and information to help the user resolve the error. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[].url |
The URL of the link. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage |
A localized human-readable error message intended for end users. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
items.haControllers[].status.failoverProgress.lastFailoverAttempt.timestamp |
Output only. Show timestamp only if there is an error. RFC3339 text format. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.failoverProgress.failoverDuration |
Output only. The duration of the last failover. A duration in seconds with up to nine fractional digits, ending with ' |
items.haControllers[].status.lastFailoverInfo |
Output only. Contains the details of the last successful failover. |
items.haControllers[].status.lastFailoverInfo.failoverTrigger |
Output only. Indicates if failover has been triggered automatically or manually. |
items.haControllers[].status.lastFailoverInfo.failoverTriggerTimestamp |
Output only. Timestamp of the last failover trigger. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.lastFailoverInfo.failoverCompleteTimestamp |
Output only. Timestamp of the failover completion. Filled only if the failover is completed, in lastFailoverInfo. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt |
Output only. Contains details of the last failed failover. This field is filled only if the current failover is failing |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors |
Output only. Encountered errors during the last attempt to process failover. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[] |
Output only. The array of errors encountered while processing this operation. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].code |
Output only. The error type identifier for this error. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].message |
Output only. An optional, human-readable error message. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo |
Error information containing structured domain, reason, and metadata. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo |
Details about quota limits and metrics when a quota is exceeded. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].help |
Links and information to help the user resolve the error. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].help.links[].url |
The URL of the link. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage |
A localized human-readable error message intended for end users. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.errors.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
items.haControllers[].status.lastFailoverInfo.lastFailoverAttempt.timestamp |
Output only. Show timestamp only if there is an error. RFC3339 text format. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].status.lastFailoverInfo.failoverDuration |
Output only. The duration of the last failover. A duration in seconds with up to nine fractional digits, ending with ' |
items.haControllers[].status.zoneStatus[] |
Output only. Map of zone statuses. Key: name of the zone Value: ZoneStatus |
items.haControllers[].status.zoneStatus[].isPrimary |
Output only. Indicates if the zone is primary at this moment. |
items.haControllers[].status.zoneStatus[].isZoneReady |
Output only. Indicates if the zone is ready for initiating a failover. |
items.haControllers[].status.zoneStatus[].lastError |
Output only. This field is filled only if the current operation is failing. |
items.haControllers[].status.zoneStatus[].lastError.errors |
Output only. Encountered errors. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[] |
Output only. The array of errors encountered while processing this operation. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].code |
Output only. The error type identifier for this error. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].message |
Output only. An optional, human-readable error message. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].errorInfo |
Error information containing structured domain, reason, and metadata. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo |
Details about quota limits and metrics when a quota is exceeded. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].help |
Links and information to help the user resolve the error. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].help.links[].url |
The URL of the link. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].localizedMessage |
A localized human-readable error message intended for end users. |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
items.haControllers[].status.zoneStatus[].lastError.errors.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
items.haControllers[].status.zoneStatus[].lastError.timestamp |
Output only. Show timestamp only if there is an error. RFC3339 text format. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items.haControllers[].failoverInitiation |
Indicates how failover should be initiated. |
items.haControllers[].networkingAutoConfiguration |
Basic networking configuration. Required backend services and forwarding rules will be automatically created with default parameters. |
items.haControllers[].networkingAutoConfiguration.internal |
Internal networking configuration |
items.haControllers[].networkingAutoConfiguration.internal.stackType |
Determine which IP addresses to automatically create. Field and option naming consistent with NetworkInterface configuration on Instances. |
items.haControllers[].networkingAutoConfiguration.internal.ipAddress |
Optional. IP addresses will be automatically allocated according to StackType if not provided. |
items.haControllers[].networkingAutoConfiguration.internal.ipv6Address |
|
items.haControllers[].backendServices[] |
Advanced configuration option. If specified, these Backend Services need to be pre-created. Currently, only one backend service can be specified, and it must be L4 Internal Load Balancer (ILB). |
items.haControllers[].state |
Output only. The current state of the HA Controller. |
items.warning |
Informational warning which replaces the list of backend services when the list is empty. |
items.warning.code |
Output only. A warning code, if applicable. For example, Compute Engine returns |
items.warning.message |
Output only. A human-readable description of the warning code. |
items.warning.data[] |
Output only. Metadata about this warning in "data": [ { "key": "scope", "value": "zones/us-east1-d" }] |
items.warning.data[].key |
Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be |
items.warning.data[].value |
Output only. A warning data value corresponding to the key. |
nextPageToken |
Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than |
selfLink |
Output only. Server-defined URL for this resource. |
warning |
Output only. Informational warning message. |
warning.code |
Output only. A warning code, if applicable. For example, Compute Engine returns |
warning.message |
Output only. A human-readable description of the warning code. |
warning.data[] |
Output only. Metadata about this warning in "data": [ { "key": "scope", "value": "zones/us-east1-d" }] |
warning.data[].key |
Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be |
warning.data[].value |
Output only. A warning data value corresponding to the key. |
etag |
Available from 2026-10-01-preview.. |
unreachables[] |
Output only. Unreachable resources. Available from 2026-10-01-preview.. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.haControllers.list
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.